Bug 1051171 - [GSS] (6.2.x) Logout of secured (ssl) admin console setup redirects to http address
Summary: [GSS] (6.2.x) Logout of secured (ssl) admin console setup redirects to http a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: CR1
: EAP 6.2.1
Assignee: Darran Lofthouse
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1029687
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-09 19:34 UTC by Brad Maxwell
Modified: 2018-12-04 16:53 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug in the handling of logout redirects would result in logouts from a SSL-secured (https) web management console being unsuccessfully redirected to an unsecured (http) logout page. As a result, a `Page Not Found (404)` error would be displayed. This issue has been fixed in this release of JBoss EAP 6. Logout redirects now properly preserve the protocol and port of the web management console. When logging out of a secured management console, the secured logout page is displayed.
Clone Of: 1029687
Environment:
Last Closed: 2014-02-24 20:14:48 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2498 Major Resolved Logout of secured (ssl) admin console setup redirects to http address 2014-04-28 07:50:00 UTC

Comment 2 Scott Mumford 2014-01-20 05:44:05 UTC
Marking for inclusion in 6.2.1 release notes documentation.

Comment 4 Jan Martiska 2014-01-27 15:35:44 UTC
Verified with 6.2.1.CR1.


Note You need to log in before you can comment on or make changes to this bug.